/*
 * OZ711MS1 OZ711MP1 linux driver
 * O2Micro Inc.
 * toby.yang@o2micro.com
 * 2005/4/17
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _WINIF2_H_
#define _WINIF2_H_
#include "basic.h"
unsigned long  mem_rDword(unsigned long* address);
unsigned short mem_rWord (unsigned short* address);
unsigned char  mem_rByte (unsigned char* address);
void           mem_wDword(unsigned long* address, unsigned long dwData);
void           mem_wWord (unsigned short* address, unsigned short wData);
void           mem_wByte (unsigned char* address, unsigned char bData);

void o2sd_wait_event_interruptible(void);
void o2sd_clear_intrflags(void);
BOOLEAN o2sd_check_intrflags(void);
   void o2sd_set_intrflags(void);
 void o2sd_set_cardexist(void);
 void o2sd_clear_cardexist(void);
unsigned char o2sd_check_cardexist(void);
   void o2sd_complete_and_exit(void);
  void o2sd_wait_for_completion(void);
   BOOLEAN winif_signal_pending_current(void);
   int winif_kernel_thread(PVOID StartRoutine,PVOID StartContext);
   void winif_kill_proc(int pid,int sig);
   void winif_strncpy(char* to,const char* from,int length);
   void winif_memcpy(void* to, void* from,int length);
  void o2sd_scsi_register(unsigned long devext_addr);
   void o2sd_scsi_unregister(void);
   void o2sd_scsicallback(void);
#define EVENT unsigned long
int  event_Initialize(EVENT* pEvent, int initValue);
int  event_Set(EVENT* pEvent,unsigned long i);
int  event_Reset(EVENT* pEvent);
int  event_WaitForEvent(EVENT* pEvent);
#endif                                    
